%define upstream_name	 IO-Socket-INET6
%define upstream_version 2.72

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	4

Summary:	Object interface for AF_INET|AF_INET6 domain sockets

License:	BSD-like
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/IO/IO-Socket-INET6-%{upstream_version}.tar.gz

BuildRequires:	perl-Socket6
BuildRequires:	perl-devel
BuildArch:	noarch

%description
IO::Socket::INET6 provides an object interface to creating and using sockets in
both AF_INET|AF_INET6 domain. It is built upon the IO::Socket interface and
inherits all the methods defined by IO::Socket.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc ChangeLog README
%{perl_vendorlib}/IO
%{_mandir}/man3/*



%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 2.720.0-4
+ Revision: fcdedd1
- MassBuild#440: Increase release tag


